---
title: Event.currentTarget
slug: Web/API/Event/currentTarget
tags:
  - API
  - DOM
  - Event
  - NeedsBrowserCompatibility
  - Property
  - Read-only
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>currentTarget</strong></code> read-only property of the {{domxref("Event")}} interface identifies the current target for the event, as the event traverses the DOM. It always refers to the element to which the event handler has been attached, as opposed to {{domxref("Event.target")}}, which identifies the element on which the event occurred and which may be its descendant.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>currentEventTarget</em> = <em>event</em>.currentTarget;</pre>

<h3 id="Value">Value</h3>

<p>{{domxref("EventTarget")}}</p>

<h2 id="Examples">Examples</h2>

<p><code>Event.currentTarget</code> is interesting to use when attaching the same event handler to several elements.</p>

<pre class="brush: js">function hide(e){
  e.currentTarget.style.visibility = 'hidden';
  console.log(e.currentTarget);
  // When this function is used as an event handler: this === e.currentTarget
}

var ps = document.getElementsByTagName('p');

for(var i = 0; i &lt; ps.length; i++){
  // Console: print the clicked &lt;p&gt; element
  ps[i].addEventListener('click', hide, false);
}
// Console: print &lt;body&gt;
document.body.addEventListener('click', hide, false);

// Click around and make paragraphs disappear
</pre>

<div class="note">
<p><strong>Note: </strong>The value of <code>event.currentTarget</code> is <strong>only</strong> available while the event is being handled. If you <code><a href="/en-US/docs/Web/API/Console/log">console.log()</a></code> the <code>event</code> object, storing it in a variable, and <em>then</em> look for the <code>currentTarget</code> key in the console, its value will be <code>null</code>. Instead, you can either directly <code>console.log(event.currentTarget)</code> to be able to view it in the console or use the <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/debugger">debugger</a></code> statement, which will pause the execution of your code thus showing you the value of <code>event.currentTarget</code>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-event-currenttarget", "Event.currentTarget")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("DOM4", "#dom-event-currenttarget", "Event.currentTarget")}}</td>
   <td>{{Spec2("DOM4")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#dfn-current-event-target", "current event target")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 Events", "#Events-Event-currentTarget", "Event.currentTarget")}}</td>
   <td>{{Spec2("DOM2 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.currentTarget")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Event/Comparison_of_Event_Targets">Comparison of Event Targets</a></li>
</ul>
